;===============================================

; Definitions of SFR for MC81F4216

; Release Date     : 2008.12.22.

; Revision No.     : 0.5

; Programmer       : jaesick.hwang@abov.co.kr

;

; Copyright (c) 2008, ABOV Semiconductor Ltd.

;   All rights reserved.

;

;  Redistribution and use in source and binary forms, with or without

;  modification, are permitted provided that the following conditions are met:

;

;  * Redistributions of source code must retain the above copyright

;    notice, this list of conditions and the following disclaimer.

;  * Redistributions in binary form must reproduce the above copyright

;    notice, this list of conditions and the following disclaimer in

;    the documentation and/or other materials provided with the

;    distribution.

;

; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"

; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

; ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE

; LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR

; CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF

; SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS

; INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN

; CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)

; ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE

; POSSIBILITY OF SUCH DAMAGE.

; 

;===============================================

T0SCR      EQU      0B0h

  T0MOD    EQU      7,T0SCR

  T0CC     EQU      4,T0SCR  

T0DR       EQU      0B1h

T0CR       EQU      0B2h

T1SCR      EQU      0B3h

  T1CC     EQU      4,T1SCR  

T1DR       EQU      0B4h

T1CR       EQU      0B5h

T2SCR      EQU      0B6h

  T2MOD    EQU      7,T2SCR

  T2MS     EQU      5,T2SCR

  T2CC     EQU      4,T2SCR

T2DR       EQU      0B7h

T2CR       EQU      0B8h

T3SCR      EQU      0B9h

  T3MS     EQU      5,T3SCR

  T3CC     EQU      4,T3SCR

T3DR       EQU      0BAh

T3CR       EQU      0BBh

OSCSEL     EQU      0BCh

  MOCS     EQU      2,OSCSEL

  SOSC     EQU      1,OSCSEL

  SCLK     EQU      0,OSCSEL

ADMR       EQU      0BDh

  SSBIT    EQU      7,ADMR

  EOC      EQU      6,ADMR

ADDRH      EQU      0BEh

ADDRL      EQU      0BFh

R0         EQU      0C0h

  R07      EQU      7,R0

  R06      EQU      6,R0

  R05      EQU      5,R0

  R04      EQU      4,R0

  R03      EQU      3,R0

  R02      EQU      2,R0

  R01      EQU      1,R0

  R00      EQU      0,R0

R1         EQU      0C1h

  R17      EQU      7,R1

  R16      EQU      6,R1

  R15      EQU      5,R1

  R14      EQU      4,R1

  R13      EQU      3,R1

  R12      EQU      2,R1

  R11      EQU      1,R1

  R10      EQU      0,R1

R2         EQU      0C2h

  R27      EQU      7,R2

  R26      EQU      6,R2

  R25      EQU      5,R2

  R24      EQU      4,R2

  R23      EQU      3,R2

  R22      EQU      2,R2

  R21      EQU      1,R2

  R20      EQU      0,R2

R3         EQU      0C3h

  R35      EQU      5,R3

  R34      EQU      4,R3

  R33      EQU      3,R3

  R32      EQU      2,R3

  R31      EQU      1,R3

  R30      EQU      0,R3

R4         EQU      0C4h

  R47      EQU      7,R4

  R46      EQU      6,R4

  R45      EQU      5,R4

  R44      EQU      4,R4

  R43      EQU      3,R4

  R42      EQU      2,R4

  R41      EQU      1,R4

  R40      EQU      0,R4

R5         EQU      0C5h

  R53      EQU      3,R5

  R52      EQU      2,R5

  R51      EQU      1,R5

  R50      EQU      0,R5

R0CONH     EQU      0C6h

R0CONM     EQU      0C7h

R0CONL     EQU      0C8h

PUR0       EQU      0C9h

  PUR07    EQU      7,PUR0

  PUR06    EQU      6,PUR0

  PUR05    EQU      5,PUR0

  PUR04    EQU      4,PUR0

  PUR03    EQU      3,PUR0

  PUR02    EQU      2,PUR0

  PUR01    EQU      1,PUR0

  PUR00    EQU      0,PUR0

EINT0H     EQU      0CAh

EINT0L     EQU      0CBh

ERQ0       EQU      0CCh

  EXT5IR   EQU      7,ERQ0

  EXT4IR   EQU      6,ERQ0

  EXT3IR   EQU      5,ERQ0

  EXT2IR   EQU      4,ERQ0

  EXT1IR   EQU      3,ERQ0

  EXT0IR   EQU      2,ERQ0

  EXT11IR  EQU      1,ERQ0

  EXT10IR  EQU      0,ERQ0

EINTF      EQU      0CDh

  EXT0IF   EQU      7,EINTF

  EXT2IF   EQU      6,EINTF

  EXT4IF   EQU      5,EINTF

  EXT7IF   EQU      4,EINTF

  EXT8IF   EQU      3,EINTF

  EXT9IF   EQU      2,EINTF

  EXT10IF  EQU      1,EINTF

  EXT11IF  EQU      0,EINTF

PWMSCR     EQU      0CEh

  POL4     EQU      7,PWMSCR

  POL3     EQU      6,PWMSCR

  POL2     EQU      5,PWMSCR

  PWMS     EQU      4,PWMSCR

PWMPDR     EQU      0CFh

  P4DH     EQU      7,PWMPDR

  P4DL     EQU      6,PWMPDR

  P3DH     EQU      5,PWMPDR

  P3DL     EQU      4,PWMPDR

  P2DH     EQU      3,PWMPDR

  P2DL     EQU      2,PWMPDR

  PPH      EQU      1,PWMPDR

  PPL      EQU      0,PWMPDR

PWM2DR     EQU      0D0h

PWM3DR     EQU      0D1h

PWM4DR     EQU      0D2h

R1CONH     EQU      0D3h

R1CONM     EQU      0D4h

R1CONL     EQU      0D5h

PUR1       EQU      0D6h

  PUR17    EQU      7,PUR1

  PUR16    EQU      6,PUR1

  PUR15    EQU      5,PUR1

  PUR14    EQU      4,PUR1

  PUR13    EQU      3,PUR1

  PUR12    EQU      2,PUR1

  PUR11    EQU      1,PUR1

  PUR10    EQU      0,PUR1

EINT1      EQU      0D7h

ERQ1       EQU      0D8h

  EXT9IR   EQU      3,ERQ1

  EXT8IR   EQU      2,ERQ1

  EXT7IR   EQU      1,ERQ1

  EXT6IR   EQU      0,ERQ1

R2CONH     EQU      0D9h

R2CONL     EQU      0DAh

PUR2       EQU      0DBh

  PUR27    EQU      7,PUR2

  PUR26    EQU      6,PUR2

  PUR25    EQU      5,PUR2

  PUR24    EQU      4,PUR2

  PUR23    EQU      3,PUR2

  PUR22    EQU      2,PUR2

  PUR21    EQU      1,PUR2

  PUR20    EQU      0,PUR2

R3CONH     EQU      0DCh

R3CONL     EQU      0DDh

R4CONH     EQU      0DEh

R4CONL     EQU      0DFh

R5CON      EQU      0E0h

RPR        EQU      0E1h

  RPR1     EQU      1,RPR

  RPR0     EQU      0,RPR

IICSCR     EQU      0E2h

  ACKE     EQU      7,IICSCR

  IICEN    EQU      6,IICSCR

  IICAZS   EQU      4,IICSCR

  IICTR    EQU      3,IICSCR

  IICBS    EQU      2,IICSCR

  SAM      EQU      1,IICSCR

  IICLR    EQU      0,IICSCR

IICAR      EQU      0E3h

IICDSR     EQU      0E4h

BUZR       EQU      0E5h

  BUSS     EQU      5,BUZR

  BURL     EQU      4,BUZR

BUPDR      EQU      0E6h

SIOCR      EQU      0E7h

  CSEL     EQU      5,SIOCR

  DAT      EQU      4,SIOCR

  SIOM     EQU      3,SIOCR

  SIOP     EQU      2,SIOCR

  CCLR     EQU      1,SIOCR

  SEDGE    EQU      0,SIOCR

SIODAT     EQU      0E8h

SIOPS      EQU      0E9h

IENH       EQU      0EAh

  T0MIE    EQU      7,IENH

  T0OVIE   EQU      6,IENH

  T1MIE    EQU      5,IENH

  T1OVIE   EQU      4,IENH

  T2MIE    EQU      3,IENH

  T2OVIE   EQU      2,IENH

  T3MIE    EQU      1,IENH

  T3OVIE   EQU      0,IENH		   

IENL       EQU      0EBh

  IICIE    EQU      7,IENL

  SIOIE    EQU      6,IENL

  WTIE     EQU      5,IENL

  URIE     EQU      4,IENL

  UTIE     EQU      3,IENL

  WDTIE    EQU      2,IENL



  BTIE     EQU      0,IENL

IRQH       EQU      0ECh

  T0MIR    EQU      7,IRQH

  T0OVIR   EQU      6,IRQH

  T1MIR    EQU      5,IRQH

  T1OVIR   EQU      4,IRQH

  T2MIR    EQU      3,IRQH

  T2OVIR   EQU      2,IRQH

  T3MIR    EQU      1,IRQH

  T3OVIR   EQU      0,IRQH

IRQL       EQU      0EDh

  IICIR    EQU      7,IRQL

  SIOIR    EQU      6,IRQL

  WTIR     EQU      5,IRQL

  URIR     EQU      4,IRQL

  UTIR     EQU      3,IRQL

  WDTIR    EQU      2,IRQL

  

  BTIR     EQU      0,IRQL

INTFH      EQU      0EEh

  T0MIF    EQU      7,INTFH

  T0OVIF   EQU      6,INTFH

  T1MIF    EQU      5,INTFH

  T1OVIF   EQU      4,INTFH

  T2MIF    EQU      3,INTFH

  T2OVIF   EQU      2,INTFH

  T3MIF    EQU      1,INTFH

  T3OVIF   EQU      0,INTFH

INTFL      EQU      0EFh

  IICIF    EQU      7,INTFL

  URIF     EQU      1,INTFL

  UTIF     EQU      0,INTFL

WTSCR      EQU      0F0h

  WTEN     EQU      6,WTSCR

  WTCS     EQU      0,WTSCR

BTCR       EQU      0F1h

CKCTLR     EQU      0F2h

  WDTON    EQU      4,CKCTLR

  BTCL     EQU      3,CKCTLR  

PORC       EQU      0F3h

WDTR       EQU      0F4h

  WDTCL    EQU      7,WDTR

SSCR       EQU      0F5h

WDTSR      EQU      0F6h

WDTCR      EQU      0F7h

UCONH      EQU      0FCh

  UMS1     EQU      7,UCONH

  UMS0     EQU      6,UCONH

  MCE      EQU      5,UCONH

  SDR      EQU      4,UCONH

  TB8      EQU      3,UCONH

  RB8      EQU      2,UCONH

UCONL      EQU      0FDh

  UTP      EQU      7,UCONL

  UTPS     EQU      6,UCONL

  URPS     EQU      5,UCONL

  URPER    EQU      4,UCONL

UDAT       EQU      0FEh

BRDAT      EQU      0FFh



